#!/bin/bash


arch_sha1=$(sha1sum $1 | awk '{print $1}')
arch_sha256=$(sha256sum $1 | awk '{print $1}')
arch_md5=$(md5sum $1 | awk '{print $1}')
arch_size=$(ls -l $1 | awk '{print $5}')

cat <<EOF
Checksums-Sha1:
 $arch_sha1 $arch_size $1
Checksums-Sha256:
 $arch_sha256 $arch_size $1
Files:
 $arch_md5 $arch_size $1
EOF
